exclude: ^node_modules/
repos:
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v6.0.0
  hooks:
  - id: end-of-file-fixer
    exclude: (.txt$|.ipynb$|README.md$|readme.mde$)
  - id: trailing-whitespace
    exclude: (.txt$|README.md$)
  - id: check-yaml
  - id: check-json
  - id: check-toml
  - id: check-xml
  - id: check-added-large-files
    args: [--enforce-all]
  - id: name-tests-test
  - id: detect-private-key
  - id: check-case-conflict
  - id: check-symlinks
  - id: check-docstring-first
  - id: pretty-format-json
    args: [--autofix, --no-sort-keys, --no-ensure-ascii]
  - id: check-merge-conflict
  - id: no-commit-to-branch
    args: [--branch, main]

- repo: https://github.com/macisamuele/language-formatters-pre-commit-hooks
  rev: v2.15.0
  hooks:
  - id: pretty-format-ini
    args: [--autofix]
  - id: pretty-format-toml
    args: [--autofix]
  - id: pretty-format-yaml
    args: [--autofix]

- repo: https://github.com/frnmst/md-toc
  rev: 9.0.0
  hooks:
  - id: md-toc

- repo: https://github.com/Lucas-C/pre-commit-hooks-java
  rev: 1.3.10
  hooks:
  - id: validate-html

- repo: https://github.com/pre-commit/mirrors-prettier
  rev: v4.0.0-alpha.8
  hooks:
  - id: prettier
    types_or: [css, javascript]

- repo: https://github.com/python-jsonschema/check-jsonschema
  rev: 0.36.0
  hooks:
  - id: check-renovate
  - id: check-github-actions
